org.apache.ignite.internal.processors.cache

## Interface GridCacheMapEntryFactory<K,V>

    public interface GridCacheMapEntryFactory<K,V>

Factory for cache entries.

### Method Summary

Methods
`GridCacheMapEntry<K,V>` `create(GridCacheContext<K,V> ctx, long topVer, K key, int hash, V val, GridCacheMapEntry<K,V> next, long ttl, int hdrId)`

### Method Detail

#### create

    GridCacheMapEntry<K,V> create(GridCacheContext<K,V> ctx,
                                long topVer,
                                K key,
                                int hash,
                                V val,
                                @Nullable
                                GridCacheMapEntry<K,V> next,
                                long ttl,
                                int hdrId)

Parameters:
  `ctx` - Cache registry.
  `topVer` - Topology version.
  `key` - Cache key.
  `hash` - Key hash value.
  `val` - Entry value.
  `next` - Next entry in the linked list.
  `ttl` - Time to live.
  `hdrId` - Header id.
Returns:
  New cache entry.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015